pqxx::transaction_rollback Class Reference
Exception classes

The backend saw itself forced to roll back the ongoing transaction. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::transaction_rollback:
[legend]

## Public Member Functions

| transaction_rollback (const std::string &)
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception () noexcept=0
| Support run-time polymorphism, and keep this class abstract. More...

## Detailed Description

The backend saw itself forced to roll back the ongoing transaction.

## Constructor & Destructor Documentation

## transaction_rollback()

pqxx::transaction_rollback::transaction_rollback | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx